/**
 *
 */
package de.intevation.gnv.artifacts;

import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.CallMeta;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class TestCallContext implements CallContext {

    private Object globalContext = null;
    private CallMeta callMeta = null;

    /**
     * Constructor
     */
    public TestCallContext(Object globalContext, CallMeta callMeta) {
        this.globalContext = globalContext;
        this.callMeta = callMeta;
    }

    /**
     * @see de.intevation.artifacts.CallContext#afterBackground(int)
     */
    public void afterBackground(int action) {
    }

    /**
     * @see de.intevation.artifacts.CallContext#afterCall(int)
     */
    public void afterCall(int action) {
    }

    /**
     * @see de.intevation.artifacts.CallContext#globalContext()
     */
    public Object globalContext() {
        return this.globalContext;
    }

    public CallMeta getMeta() {
        return this.callMeta;
    }

}
